package com.wechi.adweb.bridge.google.analytics.dto;

import com.wechi.adweb.bridge.google.common.ResourceDTO;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @author wfansh
 */
@Data
@SuperBuilder
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class GAPropertyDTO extends ResourceDTO {

    private String propertyType;

    private String accountResourceName;

    private String parentResourceName;

    private String industryCategory;

    private String timeZone;

    private String currencyCode;

    private String serviceLevel;

    private long createTime;

    private long updateTime;

    private List<GADataStreamDTO> dataStreams;
}
